incubator-ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chad Roberts (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-2252) Incorrect config_mapping file being used (result of currentStackVersionNumber comparison)
Date Mon, 03 Jun 2013 13:11:19 GMT
Chad Roberts created AMBARI-2252:
------------------------------------

             Summary: Incorrect config_mapping file being used (result of currentStackVersionNumber
comparison)
                 Key: AMBARI-2252
                 URL: https://issues.apache.org/jira/browse/AMBARI-2252
             Project: Ambari
          Issue Type: Bug
          Components: client
            Reporter: Chad Roberts


When using stack version 1.3.0 (or 1.3.1), the "currentStackVersionNumber" is an empty string
in the configMapping function (below) which is causing the function to incorrectly return
"require('data/HDP2/config_mapping')" instead of "require('data/config_mapping')"


configMapping: function() {
      if (stringUtils.compareVersions(App.get('currentStackVersionNumber'), "2.0") === 1 ||
        stringUtils.compareVersions(App.get('currentStackVersionNumber'), "2.0") === 0) {
        return require('data/HDP2/config_mapping');
      }
    return require('data/config_mapping');
  }.property('App.currentStackVersionNumber'),

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message